package sentio

type RiskManager interface {
	StopLoss(symbol string, current float64, safe bool) float64
	TakeProfit(symbol string, current float64, safe bool) float64

	GetBalance() (float64, float64)
	GetPnL() (float64, float64)
	GetWinStreak() uint
	GetLoseStreak() uint

	GetOrderSize(symbol string, bid float64) float64
	UpdatePositions() error
	ResetState(streaks bool)
}
